PHP handler "module" is not registered when managing subscriptions.

Follow

Comments

2 comments

  • Avatar
    Hotte Smann (Edited )

    But how to readin mod_php7.0 ?

     like this:
    plesk bin php_handler --add or --update -displayname "module" -path /usr/bin/php-cgi7.0 -cli-path /usr/bin/php7.0 -phpini /etc/php/7.0/apache2/php.ini -type module -id "module"

    OUTPUT: Wrong syntax for command's '-type' parameter. 'module' does not match the pattern '/^(cgi|fastcgi|fpm)$/'.

    If I change it in the versions.json and do a rearead it'll reset... to 5.6 by os vendor..

  • Avatar
    Artyom Baranov

    @Hotte,

    Hi! mod_php7.0 is an Apache module and it is not possible to add it as a PHP handler. As I can see from the forum https://goo.gl/YdK91B you have already enabled it in Tools & Settings > Apache Web Server.

    To use PHP 7.0 handler for your website just go to Domains > example.com > PHP Settings and select it.

     

Please sign in to leave a comment.

Have more questions? Submit a request